# 번들 목록 가져오기

카탈로그 작성을 위한 번들 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다.

Endpoint: GET /v2/project/{project_id}/items/bundle
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    페이지 요소 개수 제한.
    Example: 50

  - `offset` (integer)
    목록이 생성된 요소 개수(개수는 0부터 시작함).

  - `locale` (string)
    응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

  - `additional_fields[]` (array)
    추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

  - `country` (string)
    국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

## Response 200 fields (application/json):

  - `items` (array)

  - `items.attributes` (array)
    아이템에 해당하는 속성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

  - `items.attributes.external_id` (string)
    고유한 속성 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "attribute_1"

  - `items.attributes.name` (string)
    속성의 이름.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    속성의 고유 값 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    속성 값.
    Example: "Strategy"

  - `items.bundle_type` (string)
    번들 유형입니다. 이 경우 항상 standart입니다.
    Example: "standart"

  - `items.content` (array)
    번들 패키지 콘텐츠.
    Example: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]

  - `items.content.description` (string)
    아이템 설명.
    Example: "Big Rocket - description"

  - `items.content.image_url` (string)
    이미지 URL.
    Example: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"

  - `items.content.name` (string)
    아이템 이름.
    Example: "Big Rocket"

  - `items.content.price` (object,null)
    아이템 가격.

  - `items.content.price.amount` (string)
    할인된 아이템 가격.
    Example: "100.99"

  - `items.content.price.amount_without_discount` (string)
    아이템 가격.
    Example: "100.99"

  - `items.content.price.currency` (string)
    기본 구매 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자리 코드.
    Example: "USD"

  - `items.content.quantity` (integer)
    패키지에 포함된 아이템의 수량.
    Example: 250

  - `items.content.sku` (string)
    고유 아이템 ID입니다. SKU는 소문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.
    Example: "big_rocket"

  - `items.content.type` (string)
    아이템 유형: virtual_good/virtual_currency/bundle.
    Example: "virtual_currency"

  - `items.content.virtual_prices` (array)
    가상 가격.

  - `items.content.virtual_prices.amount` (integer)
    할인된 가상 화폐의 아이템 가격.
    Example: 100

  - `items.content.virtual_prices.amount_without_discount` (integer)
    아이템 가격.
    Example: 200

  - `items.content.virtual_prices.description` (string)
    가상 화폐 설명.
    Example: "Big Rocket - description"

  - `items.content.virtual_prices.image_url` (string)
    가상 화폐의 이미지.
    Example: "http://image.png"

  - `items.content.virtual_prices.is_default` (boolean)
    가격이 아이템의 기본값인지 여부입니다.
    Example: true

  - `items.content.virtual_prices.name` (string)
    가상 화폐 이름.
    Example: "SHOTGUN FOR TRUE RAIDERS"

  - `items.content.virtual_prices.sku` (string)
    가상 화폐 아이템 SKU.
    Example: "vc_test"

  - `items.content.virtual_prices.type` (string)
    가상 화폐 유형.
    Example: "virtual_currency"

  - `items.description` (string,null)
    아이템 설명.
    Example: "Big Rocket - description."

  - `items.groups` (array)
    아이템이 속한 그룹.
    Example: [{"external_id":"horror","name":{"en":"Horror"}}]

  - `items.groups.external_id` (string)
    Example: "horror"

  - `items.groups.name` (object)
    Example: {"en":"Horror"}

  - `items.image_url` (string,null)
    이미지 URL.
    Example: "https://image.example.com"

  - `items.is_free` (string)
    항상 false입니다.
    Example: "false"

  - `items.name` (string)
    아이템 이름.
    Example: "Big Rocket"

  - `items.price` (object,null)
    아이템 가격.

  - `items.price.amount` (string, required)
    할인된 아이템 가격.
    Example: "100.99"

  - `items.price.amount_without_discount` (string, required)
    아이템 가격.
    Example: "100.99"

  - `items.price.currency` (string, required)
    구매 통화. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자리 코드.
    Example: "USD"

  - `items.sku` (string)
    고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "bundle_1"

  - `items.total_content_price` (object,null)
    번들 콘텐츠 가격의 합계.

  - `items.total_content_price.amount` (string)
    할인된 번들 콘텐츠 가격의 합계.
    Example: "100.99"

  - `items.total_content_price.amount_without_discount` (string)
    번들 콘텐츠 가격의 합계.
    Example: "100.99"

  - `items.total_content_price.currency` (string)
    구매 통화. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자리 코드.
    Example: "USD"

  - `items.type` (string)
    아이템 유형.
    Example: "bundle"

  - `items.virtual_prices` (array)
    가상 가격.

  - `items.virtual_prices.amount` (integer)
    할인된 가상 화폐의 아이템 가격.
    Example: 100

  - `items.virtual_prices.amount_without_discount` (integer)
    가상 화폐로 표시된 아이템 가격.
    Example: 200

  - `items.virtual_prices.description` (string,null)
    가상 화폐 설명.
    Example: "Most popular gold"

  - `items.virtual_prices.image_url` (string,null)
    가상 화폐의 이미지.
    Example: "http://image.png"

  - `items.virtual_prices.is_default` (boolean)
    가격이 아이템의 기본값인지 여부입니다.
    Example: true

  - `items.virtual_prices.name` (string)
    가상 화폐 이름.
    Example: "Gold"

  - `items.virtual_prices.sku` (string)
    가상 화폐 아이템 SKU.
    Example: "gold"

  - `items.virtual_prices.type` (string)
    가상 화폐 유형.
    Example: "virtual_currency"


